<?php
session_start();

$password = "passwort";
$message = "";

$lang = 'de';
if (isset($_GET['lang']) && in_array($_GET['lang'], ['de', 'en', 'it', 'es', 'fr', 'pl', 'nl', 'da', 'bg'])) {
    $lang = $_GET['lang'];
}
$langFile = __DIR__ . "/lang_{$lang}.php";
if (!file_exists($langFile)) $langFile = __DIR__ . "/lang_de.php";
$L = require $langFile;

if (isset($_POST['login']) && isset($_POST['password'])) {
    if ($_POST['password'] === $password) {
        $_SESSION['loggedIn'] = true;
        $message = $L['login_success'];
    } else {
        $message = $L['wrong_password'];
    }
}

if (isset($_POST['logout'])) {
    $_SESSION['loggedIn'] = false;
    session_destroy();
    $message = $L['logout_success'];
}

$loggedIn = isset($_SESSION['loggedIn']) && $_SESSION['loggedIn'] === true;

// Einstellungen laden/speichern
$settingsFile = __DIR__ . '/feed_einstellungen.json';

$feedUrls = [];
if (file_exists($settingsFile)) {
    $json = file_get_contents($settingsFile);
    $decoded = json_decode($json, true);
    if (is_array($decoded)) $feedUrls = $decoded;
}
for ($i = 0; $i < 5; $i++) {
    if (!isset($feedUrls[$i])) $feedUrls[$i] = '';
}

// Nur Feed-Formular POST verarbeiten, wenn KEIN Logout/KEIN Login
$success = false;
if ($_SERVER['REQUEST_METHOD'] === 'POST'
    && !isset($_POST['logout'])
    && !isset($_POST['login'])
) {
    for ($i = 0; $i < 5; $i++) {
        $feedUrls[$i] = trim($_POST["feed_url_$i"] ?? '');
    }
    file_put_contents($settingsFile, json_encode($feedUrls, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE));
    $success = true;
}
?>
<!DOCTYPE html>
<html lang="<?php echo $lang; ?>">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo $L['settings_title']; ?></title>
    <style>
        body {
            font-family: Arial, sans-serif;
            font-size: 14px;
            line-height: 110%;
            background-color: #333;
            color: #FFF;
            margin: 0;
            padding: 20px;
        }
        .ueberschrift {
            font-family: Arial, sans-serif;
            font-size: 16px;
            font-weight: bold;
            color: #FFF;
            padding: 2px;
        }
        .infotext {
            font-family: Arial, sans-serif;
            font-size: 12px;
            font-weight: 400;
            color: #FFF;
            padding: 2px;
        }
        .btnAlle {
            padding: 8px 16px;
            border: none;
            border-radius: 8px;
            cursor: pointer;
            display: inline-flex;
            align-items: center;
            font-family: Arial, sans-serif;
            font-size: 16px;
            font-weight: bold;
        }
        .btn-login {
            background-color: #F01500;
            color: #FFF;
            border: 2px solid #FFF;
        }
        .btn-login:hover {
            background-color: #FF4A24;
        }
        .btn-logout {
            background-color: #F01500;
            color: #FFF;
            border: 2px solid #FFF;
        }
        .btn-logout:hover {
            background-color: #FF4A24;
        }
        .login-form {
            max-width: 400px;
            margin: 100px auto;
            text-align: center;
        }
        .message {
            padding: 10px;
            margin-bottom: 20px;
            background-color: rgba(255,255,255,0.1);
            border-radius: 4px;
            text-align: center;
        }
        .success {
            background-color: rgba(0,128,0,0.2);
        }
        .error {
            background-color: rgba(255,0,0,0.2);
        }
        input[type="password"], input[type="text"] {
            font-family: Tahoma, sans-serif;
            font-size: 16px;
            padding: 8px;
            margin: 5px 0;
            border-radius: 6px;
            border: 2px solid #CCC;
        }
        .icon {
            width: 20px;
            height: 20px;
            margin-right: 0;
        }
        .icon_auge {
            width: 32px;
            height: 24px;
            margin-right: 0;
        }
        .container { display: flex; flex-direction: column; align-items: center; }
        .settings-box {
            background: #fff;
            color: #000;
            padding: 30px 30px 20px 30px;
            border-radius: 16px;
            margin-top: 40px;
            min-width: 340px;
            max-width: 600px;
            box-shadow: 0 2px 16px rgba(0,0,0,0.15);
        }
        .settings-title { font-size: 22px; font-weight: bold; color: #222; margin-bottom: 18px; text-align: center; }
        label { display: block; margin-top: 18px; margin-bottom: 4px; font-weight: bold; }
        input[type="url"] { width: 100%; font-size: 16px; padding: 8px; border-radius: 6px; border: 2px solid #CCC; margin-bottom: 10px; }
        button { font-size: 16px; padding: 8px 18px; border-radius: 7px; border: 2px solid #FFF; background: #F01500; color: #FFF; font-weight: bold; cursor: pointer; margin-top: 18px; }
        button:hover { background: #FF4A24; }
        .back-link-btn {
            display: inline-block;
            margin-top: 18px;
            background: #0077cc;
            color: #fff !important;
            border: none;
            border-radius: 7px;
            padding: 10px 28px;
            font-size: 16px;
            font-weight: bold;
            text-align: center;
            text-decoration: none;
            cursor: pointer;
            transition: background 0.2s;
        }
        .back-link-btn:hover {
            background: #005fa3;
        }
        .success { color: #090; font-weight: bold; margin-bottom: 10px; }
        .lang-switch { margin-bottom: 20px; text-align: right; width: 100%; }
        .lang-switch a { color: #FF9800; text-decoration: none; margin-left: 10px; }
        .lang-switch a:hover { text-decoration: underline; }
        @media (max-width: 700px) {
            .settings-box { min-width: 0; width: 98vw; padding: 10px; }
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="lang-switch">
            <a href="?lang=de"><?php echo ($lang == 'de' ? '<b>Deutsch</b>' : 'Deutsch'); ?></a> |
            <a href="?lang=en"><?php echo ($lang == 'en' ? '<b>English</b>' : 'English'); ?></a> |
            <a href="?lang=it"><?php echo ($lang == 'it' ? '<b>Italiano</b>' : 'Italiano'); ?></a> |
            <a href="?lang=fr"><?php echo ($lang == 'fr' ? '<b>Français</b>' : 'Français'); ?></a> |
            <a href="?lang=es"><?php echo ($lang == 'es' ? '<b>Español</b>' : 'Español'); ?></a> |
            <a href="?lang=pl"><?php echo ($lang == 'pl' ? '<b>Polski</b>' : 'Polski'); ?></a> |
            <a href="?lang=nl"><?php echo ($lang == 'nl' ? '<b>Nederlands</b>' : 'Nederlands'); ?></a> |
            <a href="?lang=da"><?php echo ($lang == 'da' ? '<b>Dansk</b>' : 'Dansk'); ?></a> |
            <a href="?lang=bg"><?php echo ($lang == 'bg' ? '<b>Български</b>' : 'Български'); ?></a>
        </div>
        <?php if (!$loggedIn): ?>
            <div class="login-form">
                <div style="font-size:24px; margin-top:20px; font-weight: 600;"><?php echo $L['admin_area']; ?></div>
                <p class="infotext"><?php echo $L['login_info']; ?></p>
                <?php if (!empty($message)): ?>
                    <div class="message <?php echo strpos($message, $L['login_success']) !== false ? 'success' : 'error'; ?>"><?php echo $message; ?></div>
                <?php endif; ?>
                <form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
                    <div style="display:flex; align-items:center; justify-content:center;">
                        <input type="password" name="password" id="passwordInput" placeholder="<?php echo $L['password_placeholder']; ?>" required>
                        <button type="button" id="togglePassword" style="background:transparent; border:none; cursor:pointer; margin-left:10px; padding:0;">
                            <img src="icons/anzeigen.png" alt="<?php echo $L['show_password']; ?>" id="toggleIcon" class="icon_auge">
                        </button>
                    </div>
                    <div style="margin-top: 15px;">
                        <button type="submit" name="login" class="btnAlle btn-login">
                            <img src="icons/login.png" alt="Login" class="icon">&nbsp;<?php echo $L['login_button']; ?>
                        </button>
                    </div>
                    <div style="font-size:9px; margin-top:20px;"><?php echo $L['copyright']; ?></div>
                </form>
            </div>
        <?php else: ?>
            <div class="container">
                <div class="settings-box">
                    <div class="settings-title"><?php echo $L['settings_title']; ?></div>
                    <div style="font-size:13px; color:#444; margin-bottom:18px;"><?php echo $L['settings_info']; ?></div>
                    <?php if ($success): ?>
                        <div class="success"><?php echo $L['settings_saved']; ?></div>
                    <?php endif; ?>
                    <form method="post">
                        <?php for ($i = 0; $i < 5; $i++): ?>
                            <label for="feed_url_<?php echo $i; ?>"><?php echo $L['feed_url_label'] . ' ' . ($i+1); ?></label>
                            <input type="url" name="feed_url_<?php echo $i; ?>" id="feed_url_<?php echo $i; ?>" value="<?php echo htmlspecialchars($feedUrls[$i]); ?>" placeholder="<?php echo $L['feed_url_placeholder']; ?>">
                        <?php endfor; ?>
                        <button type="submit"><?php echo $L['save']; ?></button>
                    </form>
                    <a href="../feed_reader.php?lang=<?php echo $lang; ?>" class="back-link-btn"><?php echo $L['back_to_reader']; ?></a>
                </div>
            </div>
            <form method="post" style="margin-top:30px;">
                <button type="submit" name="logout" class="btnAlle btn-logout">
                    <img src="icons/logout.png" alt="Logout" class="icon">&nbsp;<?php echo $L['logout_button']; ?>
                </button>
            </form>
        <?php endif; ?>
    </div>
    <script>
    document.addEventListener('DOMContentLoaded', function() {
        const passwordInput = document.getElementById('passwordInput');
        const togglePassword = document.getElementById('togglePassword');
        const toggleIcon = document.getElementById('toggleIcon');
        let visible = false;
        if (togglePassword && passwordInput && toggleIcon) {
            togglePassword.addEventListener('click', function() {
                visible = !visible;
                if (visible) {
                    passwordInput.type = 'text';
                    toggleIcon.src = 'icons/verbergen.png';
                    toggleIcon.alt = '<?php echo $L['hide_password']; ?>';
                } else {
                    passwordInput.type = 'password';
                    toggleIcon.src = 'icons/anzeigen.png';
                    toggleIcon.alt = '<?php echo $L['show_password']; ?>';
                }
            });
        }
    });
    </script>
<p style="text-align: center;font-family:Arial, sans-serif;font-size:9px;color: #fff;">FEED-Raeader 1.0 &#10070; &copy; S.G.Schiffer 2025 - <a style="color:#FF9800;text-decoration:none;" href="https://www.sgs-visual.de" target="_blank">sgs-visual.de</a></p>
</body>
</html>